========
RoFI Hal
========

This is the same hal as for the physical RoFI.


Types and Constants
===================

.. doxygenenum:: rofi::hal::ConnectorPosition
    :project: sim

.. doxygenenum:: rofi::hal::ConnectorOrientation
    :project: sim

.. doxygenenum:: rofi::hal::ConnectorLine
    :project: sim

.. doxygenenum:: rofi::hal::ConnectorEvent
    :project: sim


.. doxygenstruct:: rofi::hal::ConnectorState
    :project: sim


Classes
=======

.. doxygenclass:: rofi::hal::RoFI
    :project: sim

.. doxygenclass:: rofi::hal::Joint
   :project: sim

.. doxygenclass:: rofi::hal::Connector
    :project: sim


Networking
==========

.. doxygenclass:: rofi::hal::PBuf
    :project: lib
